# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-05-22 21:39
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('course', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='LandmarkRegion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('color', models.CharField(max_length=50)),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='OutlineRegion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('color', models.CharField(max_length=50)),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Test',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='course.Course')),
            ],
        ),
        migrations.CreateModel(
            name='TestResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('answered', models.DateField(auto_now=True)),
                ('test', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='quiz.Test')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='TestUnit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question', models.CharField(max_length=255, verbose_name='Question')),
            ],
            options={
                'ordering': ('question',),
            },
        ),
        migrations.CreateModel(
            name='TestUnitResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('correct_answer', models.BooleanField()),
                ('test_result', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='quiz.TestResult')),
            ],
        ),
        migrations.CreateModel(
            name='LandmarkQuestion',
            fields=[
                ('testunit_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='quiz.TestUnit')),
                ('original_image', models.ImageField(upload_to='')),
                ('landmark_drawing', models.ImageField(blank=True, upload_to='')),
            ],
            bases=('quiz.testunit',),
        ),
        migrations.CreateModel(
            name='MultipleChoiceQuestion',
            fields=[
                ('testunit_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='quiz.TestUnit')),
                ('correct_answer', models.CharField(max_length=255, verbose_name='Correct answer')),
                ('wrong_answer_1', models.CharField(max_length=255, verbose_name='Wrong answer')),
                ('wrong_answer_2', models.CharField(max_length=255, verbose_name='Wrong answer')),
            ],
            bases=('quiz.testunit',),
        ),
        migrations.CreateModel(
            name='MultipleChoiceQuestionWithImage',
            fields=[
                ('testunit_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='quiz.TestUnit')),
                ('correct_answer', models.CharField(max_length=255, verbose_name='Correct answer')),
                ('wrong_answer_1', models.CharField(max_length=255, verbose_name='Wrong answer')),
                ('wrong_answer_2', models.CharField(max_length=255, verbose_name='Wrong answer')),
                ('image', models.ImageField(upload_to='')),
            ],
            bases=('quiz.testunit',),
        ),
        migrations.CreateModel(
            name='MultipleChoiceQuestionWithVideo',
            fields=[
                ('testunit_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='quiz.TestUnit')),
                ('correct_answer', models.CharField(max_length=255, verbose_name='Correct answer')),
                ('wrong_answer_1', models.CharField(max_length=255, verbose_name='Wrong answer')),
                ('wrong_answer_2', models.CharField(max_length=255, verbose_name='Wrong answer')),
                ('video', models.FileField(upload_to='')),
            ],
            bases=('quiz.testunit',),
        ),
        migrations.CreateModel(
            name='OutlineQuestion',
            fields=[
                ('testunit_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='quiz.TestUnit')),
                ('original_image', models.ImageField(upload_to='')),
                ('outline_drawing', models.ImageField(blank=True, upload_to='')),
            ],
            bases=('quiz.testunit',),
        ),
        migrations.AddField(
            model_name='testunitresult',
            name='test_unit',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='quiz.TestUnit'),
        ),
        migrations.AddField(
            model_name='testunit',
            name='test',
            field=models.ManyToManyField(to='quiz.Test'),
        ),
        migrations.AddField(
            model_name='outlineregion',
            name='outline_question',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='quiz.OutlineQuestion'),
        ),
        migrations.AddField(
            model_name='landmarkregion',
            name='landmark_question',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='quiz.LandmarkQuestion'),
        ),
    ]
